TrafficCompressor Overview

TrafficCompressor compresses on-the-fly data received and sent over the Internet, for example web pages, e-mail, Usenet, ICQ, Windows Messenger messages and so on. As a result your Internet traffic may be decreased by up to 40% - 60% and your Internet connection becomes faster.

TrafficCompressor can be especially valuable for the Internet users who pay for traffic, for example, GPRS and EDGE(EGPRS) Internet users. TrafficCompressor helps you to save your money by saving your Internet traffic.
Current TrafficCompressor version does not support picture compression, therefore TrafficCompressor would be more valuable for the users who browse web pages with pictures turned off, and less valuable for the users who browse web pages with pictures turned on. Picture compression will be added in future versions of TrafficCompressor.
Also, TrafficCompressor can be helpful for the users of slow and congested Internet connections.

Of course, TrafficCompressor is not able to decrease absolutely any kind of Internet traffic, but it will help you to decrease your traffic as much as possible. The best compression ratio may be achieved on text-based, HTML-based, and XML-based pages, files, and messages.


TrafficCompressor System Requirements

  • Windows 98, ME, 2000, XP, or 2003.
  • Dial-up, GSM/GPRS/EDGE, ISDN, cable modem, Radio Ethernet, Wi-Fi, ADSL, satellite Internet connection.
  • Direct Internet connection without proxy server.


TrafficCompressor Features

TrafficCompressor:
  • Decreases text-based, HTML-based, XML-based, and other compressible Internet traffic.
  • Supports any web browser, any e-mail, Usenet, and IRC clients, any Windows Messenger, ICQ, AIM, and Jabber compatible clients, Yahoo! Messenger.
  • Supports GPRS, EDGE(EGPRS), GSM/CSD/HSCSD, dial-up, ISDN, and many of other Internet connection types.
  • Accelerates Internet connection with data compression and multithreading data transfer (similar to download managers).
  • Uses persistent server connection technology to speed up a new network connection establishment.
  • Makes Internet connection more stable. Traffic Compressor prevents data transmission (web browsing, e-mail receiving and so on) interruption when short modem connection breaks occur.
  • Works on Windows 95, 98, ME, NT 4.0, 2000, XP, and 2003 systems.


How TrafficCompressor works

On-the-fly Traffic Compression.

TrafficCompressor compresses data received and sent over the Internet. When you open a web page or receive an e-mail with TrafficCompressor the data is not transferred directly from the web or e-mail server to your computer. The data is transferred through the TrafficCompressor server located on a high-speed Internet backbone. TrafficCompressor server compresses the data and sends it in compressed form to your computer via your dial-up, GPRS, or other slow connection. That results in your Internet traffic decrease. That has a side effect - the data is transferred faster.
TrafficCompressor program running locally on your computer receives the compressed data, decompresses, and delivers it to your web browser, e-mail client, or other local software.

Let's examine in details how it works when you are opening, for example, http://www.TCompressor.com page in your web browser.

  1. You are typing www.tcompressor.com address in the address bar of your web browser.
  2. TrafficCompressor is sending the web page request to the TrafficCompressor server.
  3. TrafficCompressor server is downloading the page from www.tcompressor.com web server.
  4. TrafficCompressor server is compressing the page and sending it to your computer.
  5. TrafficCompressor program is receiving the page, decompressing, and delivering it to the web browser.

The process is similar when you receive/download some other kind of data from the Internet or when you send/upload something.

Persistent Server Connection.

TrafficCompressor does not establish a new connection with the TrafficCompressor server each time you receive or send data. When TrafficCompressor starts it establishes a persistent network (TCP/IP) connection with the server and keeps it open until you close TrafficComporessor, reboot the computer, or end your modem connection. Some web servers support similar technique which is called "Keep-Alive".

Each time you open a web page or receive/send any other data TrafficCompressor uses the already established server connection instead of establishing a new one. That technology helps to save some time and, consequently, speeds up your Internet access because each new network connection causes some time delay needed to establish it. Persistent connection technology eliminates that delay.

The persistent server connection technology also helps to decrease Internet traffic besides traffic compression. When you receive or send data from several Internet servers simultaneously (for example open a web page, receive e-mail, and read Usenet messages) the data is actually transferred over single TrafficCompressor server connection. That results in combining of some data packets in a single packet. The total number of data packets decreases, the overhead of TCP/IP protocols also decreases, and the traffic volume may be reduced additionally by up to 10% in some instances.

Note: to use single TrafficCompressor server connection and gain an additional traffic decrease set the "Aggressive traffic saving" option in TrafficCompressor preferences.


What Kind of Traffic TrafficCompressor Can Decrease

What Kind of Traffic Can TrafficCompressor Decrease?

TrafficCompressor compresses outgoing and incoming Internet traffic. TrafficCompressor is able to decrease compressible traffic like text, HTML, Microsoft Word, Microsoft Excel files transferred from or to a web, e-mail, or other Internet server.

This is a detailed description of what kind of traffic can be decreased.
TrafficCompressor is able to decrease
(by 25% - 80%) 		TrafficCompressor is NOT able to decrease
  • Web: web pages, scripts (JavaScript/VBScript), CSS (cascading style sheets), and other text based files.
  • E-mail: any e-mail messages received over POP3 or IMAP4 protocols with or without attachments. Compressed attachments (like ZIP, MP3, EXE, JPEG, GIF files and so on) can be decreased by about 25% - 30% (read more).
  • Instant messengers traffic: ICQ, Windows Messenger, AIM, Yahoo! Messenger, Jabber, Gadu-Gadu.
  • Usenet(News) traffic.
  • IRC traffic (6667-6670 ports only).
  • Traffic of some MMORPG's/MPOG's (online games): World of Warcraft, Ragnarok Online, Lineage II (by ~10%) and others (standard ports only)
  • Web: pictures, Flash animation, ActiveX, Java applets, ZIP, MP3, EXE, and other compressed downloads, web pages already compressed with gzip.
  • Traffic over any protocols not listed in the right side of this table, for example, FTP, HTTPS, SMTP, UDP and so on.
  • IRC using ports other than 6667-6670.
  • Online games traffic using non-standard ports.
  • Streaming video and audio traffic.
  • Files and voice traffic transferred by instant messengers listed in the right side of this table.

Compressed e-mail attachments.

An e-mail message with a compressed attachment (like ZIP, MP3, JPEG, GIF and so on) can be reduced in size by about 25% - 30%. This compression ratio is possible since attached files are stored in a text-based format. As a result an e-mail message with an attached file is always larger than the file itself and the message can be decreased in size with compression.

For example, TrafficCompressor.zip file would be stored in an e-mail message in the following format:

Hello Alex,

Try this great program.

Best regards, John.
------------FD19D14312B5FC48
Content-Type: APPLICATION/X-ZIP-COMPRESSED; name="TrafficCompressor.zip"
Content-transfer-encoding: base64
Content-Disposition: attachment; filename="TrafficCompressor.zip"

UEsDBAoAAAAAAPYqRjEAAAAAAAAAAAAAAAANAAAAc2VydmVyU2NyaXB0L1BLAwQKAAAAAAD2
KkYxAAAAAAAAAAAAAAAAGwAAAHNlcnZlclNjcmlwdC9Eb2N1bWVudGF0aW9uL1BLAwQKAAAA
AAD2KkYxAAAAAAAAAAAAAAAAIgAAAHNlcnZlclNjcmlwdC9Eb2N1bWVudGF0aW9uL0ltYWdl
cy9QSwMEFAACAAgA2RSpMHBeuLhNAQAAWAEAACoAAABzZXJ2ZXJTY3JpcHQvRG9jdW1lbnRh
dGlvbi9JbWFnZXMvcGx1cy5naWZz93SzsEwUYBBguGrO8OzZM0VFRTY2tsuXL//48ePdu3ef
Pn26fv36v3//7t69++fPHyYmpt+/f3/9+vXv37/fvn17/fr1+/fv37x5c/Xq1UePHomLi9+/
f5+VlVVJSUlaWlpQUPDx48efP39WUFCQkZGRkJDg5+eXlJR88ODBly9frly58vLlyxcvXnz4
8OHjx4/Xrl27c+eOrKwsDw+PqKgoCwuLsrIyNze3lJSUiIgIOzv7z58/////z8DAACGxAsWf
LIwMDOYMOiAOyE8MbKUHZhd46Ej1n0gxFK5gDdvo7314lijz1hyxhQsEWVx7zF4vsHWbnpSe
k2wT0Op68fAySRXVaMMpW3/+ZZCuchHl4OMxMRNkUOJsdjaK5WUzY+Bk1+x3UjDhVRdgEGNn
Zp5lbsAiw6omoiXMrLKMiUmPu367185dTo4M1gBQSwMECgACAAAAfbqoMDkkQvx5AAAAeQAA
ACsAAABzZXJ2ZXJTY3JpcHQvRG9jdW1lbnRhdGlvbi9JbWFnZXMvYXJyb3cuZ2lmR0lGODlh
EAAQAPIGAAICAhgYGCEhIdfX1/7+/vPz8+jo6AAAACH5BAEAAAQALAAAAAAQABAAAAM+SLrc
...


What TrafficCompressor System Tray Icon Indicates

What the TrafficCompressor System Tray Icon Indicates

TrafficCompressor indicates its current state using the system tray icon. TrafficCompressor changes the icon color when the TrafficCompressor state is changed.
You can access TrafficCompressor preferences, compression statistics and other options by right-clicking on the system tray icon and selecting a menu item. 		System tray icon
System tray icon | Meaning
Green icon | TrafficCompressor is enabled and works properly. You Internet traffic is compressed. Note: TrafficCompressor will only compress only the traffic for the Internet protocols that are selected in Protocols preferences.
Animated green icon or Reduced green icon | TrafficCompressor is compressing incoming or outgoing traffic.
Green icon with exclamation mark | TrafficCompressor has lost connection with TrafficCompressor server. Your current active Internet sessions (e.g. web browsing, e-mail receiving and so on) will not be aborted. The Internet sessions will just be suspended. If TrafficCompressor restores the server connection within 2 minutes your Internet sessions will be resumed, that is your web browser will continue to load the web page, your e-mail client will continue to receive the e-mail message and so on. Usually that icon appears when your modem has been disconnected.
Red icon | TrafficCompressor servers are busy and not able to accept a new connection at the moment. Your Internet traffic is not compressed. When a TrafficCompressor server becomes available, TrafficCompresor will automatically connect to it.
Red icon | TrafficCompressor is not connected to TrafficCompressor server. Your Internet traffic is not compressed. When TrafficCompressor server becomes available, TrafficCompressor will automatically establish connection with the server and traffic compression will be activated. Usually that icon appears when your Internet connection is not active or TrafficCompressor server is not available for some reason.
White icon | TrafficCompressor is disabled. Your Internet traffic is not compressed. To enable TrafficCompressor right-click on the icon and select "Enable TrafficCompressor" menu item.


"Compression Statistics" Window

"Compression Statistics" window displays information about your Internet traffic compressed by TrafficCompressor. The statistics is shown for a period from the date when the statistics collection has been started to the current date.
The statistics includes both of incoming and outgoing traffic.

Note the compression statistics is not intended for counting your whole Internet traffic volume. It counts only the traffic that has been processed by TrafficCompressor, therefore the total compressed traffic value shown in this window will be always less than your whole real traffic volume. The compression statistics is only intended for estimating how effective traffic compression is for your traffic and what amount of data TrafficCompressor has saved for you.
To count your whole Internet traffic, for example, to track your Internet access expenses you can use special software that is intended for it.

What Internet traffic is not counted in the compression statistics?

TrafficCompressor compression statistics does not count the following types of Internet traffic:
  • TCP/IP protocol overhead. The overhead is a service traffic that needed for reliable data transmission over not reliable networks like the Internet and for some other technical purposes. The overhead of a network protocols includes headers of data packets and the data retransmitted due to network errors. TCP/IP overhead may be about 10% - 30% of the data volume transferred over the Internet.
    For example, if you download a 100 KB file (without TrafficCompressor) your real traffic always will be 110 KB - 130 KB.
  • UDP traffic. The UDP traffic volume is usually very small unless you use some video or audio streaming Internet software or some other programs that use UDP protocol. The UDP protocol in particular is used for queries to DNS servers.
  • Any traffic for the protocols that are not present or disabled in Preferences window.
  • Any traffic for hosts for that TrafficCompressor is disabled in Preferences window.
  • Files downloaded by HTTP protocol of the types for that compression is disabled in Preferences window. By default compression is disabled for GIF, JPG, ZIP, EXE, MP3 and other already compressed files.
  • Any data transferred over the Internet when TrafficCompressor was disabled or closed.

Description of Compression Statistics window controls and fields.

Statistics since:
The date when the statistics collection has been started. It is a date when TrafficCompressor has been installed or the statistics has been resetted.

Total saved data:
It is a difference between the total uncompressed data volume and the total compressed data volume. In other words it is an amount of your Internet traffic that has been saved as a result TrafficCompressor work.

Details button:
Click Details button to show or hide the compression statistics for some of Internet protocols separately.

Reset Statistics button:
Click Reset Statistics button to reset all fields to zero.


General preferences

Run TrafficCompressor at system startup
Enables TrafficCompressor to automatically start when you turn on your computer. To change this setting you must have administrative system privileges.

Enable TrafficCompressor
Enables compression of your Internet traffic.
Note that when you enable or disable TrafficCompressor the setting will be effective only for the new network connections. Existing connections will use previous setting.
For example let's say TrafficCompressor is enabled and you are receiving a long e-mail. Now if you disable TrafficCompressor it will still be active for current e-mail session. Traffic compression will be deactivated only for subsequent email sessions.


Protocols preferences

These settings allow you to enable or disable TrafficCompressor for any supported Internet protocol.

For example, you can enable compression for your web and e-mail traffic and disable it for Usenet(NNTP), Windows Messenger traffic and other protocols.


Other Preferences

Traffic/Speed Optimization

These options tweaks TrafficCompressor network protocol settings but do not change the compression algorithm nor the compression algorithm settings.

The TrafficCompressor network protocols can be optimized to achieve better Internet access speed with some traffic volume increase or better traffic reduction with some Internet access slowing down. So you can choose what do you prefer, better Internet access speed or smaller traffic.

Please note that the optimization modes may lead to very different results on different Internet connections and different network applications. So to achieve the best result with TrafficCompressor we would recommend you to try all optimization modes and choose the mode that better suits your needs for traffic reduction and Internet connection speed.

Better Internet access speed
This option optimizes the TrafficCompressor network protocol for better data transfer speed. This option sometimes may increase your traffic by up to 10% - 20% as compared with the "Maximum traffic saving" option.

Better traffic saving
This option optimizes the TrafficCompressor network protocol for better traffic reduction. This option sometimes may increase your traffic by up to 5% - 8% as compared with the "Maximum traffic saving" option.

Maximum traffic saving
This option optimizes the TrafficCompressor network protocol for maximum possible traffic reduction.

Number of server connection threads
This options sets the number of the server connections.
TrafficCompressor can open several TCP connections with the TrafficCompressor server and trasfer data using all connections simultaneously. Very similar technique is used by any download manager and may sometimes increase data transfer speed on slow Internet connections.

Default
Click the Default button to set the server connections number to the default value. The default value depends on the current speed/traffic optimization mode.


TrafficCompressor Privacy Policy

Version: June 30, 2006

Traflabs company, the owner of TrafficCompressor service, respects privacy of TrafficCompressor users. TrafficCompressor software contains no Spyware or Adware.

  1. We do not collect any personal information (like telephone numbers, e-mail addresses, credit card information, passwords and so on) about TrafficCompressor users and www.TCompressor.com web site visitors without explicit notice and user's knowledge.
  2. We do not rent, sell, or share any personal or non-personal information about TrafficCompressor users to third parties. Apart from this, we disclose information about our users only if we are required to do so by law, or that doing so is necessary to comply with legal process, respond to any abuses, or protect the rights, property, or safety of TrafficCompressor service.
  3. We do not use any personal or non-personal information about our users to send unsolicited email (spam) or for our or third party advertising campaigns.

What Information Does TrafficCompressor Service Collect?

TrafficCompressor service collects two types of information about our users:
  • TrafficCompressor assigns a unique number to each TrafficCompressor user. The number is required for TrafficCompressor network protocols and does not contain any personal information. The number is kept in local Windows registry database on a user's computer and transmitted to TrafficCompressor server to distinguish user network connections from each other.
  • TrafficCompressor server collects IP addresses of the users and IP addresses of the Internet hosts that the user connect to via TrafficCompressor server. That information is collected for technical purposes and is subject to the paragraphs 2 and 3 of this Policy.
When you browse a web site with TrafficCompressor service your IP address is transmitted to the web server by TrafficCompressor server. It is a standard feature of any non-anonymous HTTP proxy server.

How to Extend Your Privacy?

If you have an additional concern regarding particular Internet session you can disable TrafficCompressor for certain Internet protocol (HTTP, POP3, IMAP, or other) or for certain Internet server or site. To do it open "TrafficCompressor preferences" dialog box from the system tray icon menu and go to "Protocols" or "Hosts" tab.
Also, you can temporary disable all TrafficCompressor functions clicking "Disable TrafficCompressor" item of system tray icon menu.

Changes in this Policy
Please note this Policy may be changed in future. The latest version of the Policy is always available on http://www.TCompressor.com/Privacy.aspx web page.


TrafficCompressor and NVIDIA ActiveArmor Firewall

How to use TrafficCompressor and NVIDIA ActiveArmor Firewall on the same computer?

Your computer may hang during web browsing if NVIDIA ActiveArmor Firewall and TrafficCompressor are installed on the computer. To avoid computer hangs please install the latest version of TrafficCompressor and the latest version of the drivers for your motherboard and set "Not Offloadable" mode in NVIDIA ActiveArmor Firewall settings.

How to set "Not Offloadable" mode?

To set "Not Offloadable" mode,

  • right-click ActiveArmor Firewall icon in the system tray,
  • click ActiveArmor Firewall Summary menu command,
  • click View the Current Profile link,
  • select Secure Networking Engine node on the left on the window (or ActiveArmor node in old drivers),
  • select Application node,
  • select Not Offloadable mode in Offload Default field,
  • click Apply button.
If this window or "Secure Networking Engine"-"Port" window contains any additional filtering rules then make sure that all rules use Not Offloadable mode.